Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057904 - [abrt] gnome-shell: intel_miptree_attach_map(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: intel_miptree_attach_map(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a702b4d9d7ec0a68cea28cbe63f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-25 22:07 UTC by Ramón Mayo
Modified: 2015-06-29 14:46 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:46:01 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-01-25 22:08 UTC, Ramón Mayo
no flags Details
File: cgroup (deleted)
2014-01-25 22:08 UTC, Ramón Mayo
no flags Details
File: core_backtrace (deleted)
2014-01-25 22:08 UTC, Ramón Mayo
no flags Details
File: dso_list (deleted)
2014-01-25 22:08 UTC, Ramón Mayo
no flags Details
File: environ (deleted)
2014-01-25 22:08 UTC, Ramón Mayo
no flags Details
File: exploitable (deleted)
2014-01-25 22:08 UTC, Ramón Mayo
no flags Details
File: limits (deleted)
2014-01-25 22:08 UTC, Ramón Mayo
no flags Details
File: maps (deleted)
2014-01-25 22:08 UTC, Ramón Mayo
no flags Details
File: open_fds (deleted)
2014-01-25 22:08 UTC, Ramón Mayo
no flags Details
File: proc_pid_status (deleted)
2014-01-25 22:08 UTC, Ramón Mayo
no flags Details
File: var_log_messages (deleted)
2014-01-25 22:08 UTC, Ramón Mayo
no flags Details

Description Ramón Mayo 2014-01-25 22:07:53 UTC
Version-Release number of selected component:
gnome-shell-3.10.3-1.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: intel_miptree_attach_map
executable:     /usr/bin/gnome-shell
kernel:         3.12.8-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 intel_miptree_attach_map at intel_mipmap_tree.c:836
 #1 intel_miptree_map at intel_mipmap_tree.c:877
 #2 intel_map_renderbuffer at intel_fbo.c:129
 #3 map_attachment at ../../../src/mesa/swrast/s_renderbuffer.c:578
 #4 _swrast_map_renderbuffers at ../../../src/mesa/swrast/s_renderbuffer.c:652
 #5 _swrast_render_start at ../../../src/mesa/swrast/s_context.c:895
 #6 _swsetup_RenderStart at ../../../src/mesa/swrast_setup/ss_context.c:202
 #7 run_render at ../../../src/mesa/tnl/t_vb_render.c:276
 #8 _tnl_run_pipeline at ../../../src/mesa/tnl/t_pipeline.c:163
 #9 intelRunPipeline at intel_tris.c:1097

Potential duplicate: bug 1003182

Comment 1 Ramón Mayo 2014-01-25 22:08:00 UTC
Created attachment 855520 [details]
File: backtrace

Comment 2 Ramón Mayo 2014-01-25 22:08:02 UTC
Created attachment 855521 [details]
File: cgroup

Comment 3 Ramón Mayo 2014-01-25 22:08:05 UTC
Created attachment 855522 [details]
File: core_backtrace

Comment 4 Ramón Mayo 2014-01-25 22:08:08 UTC
Created attachment 855523 [details]
File: dso_list

Comment 5 Ramón Mayo 2014-01-25 22:08:10 UTC
Created attachment 855524 [details]
File: environ

Comment 6 Ramón Mayo 2014-01-25 22:08:12 UTC
Created attachment 855525 [details]
File: exploitable

Comment 7 Ramón Mayo 2014-01-25 22:08:14 UTC
Created attachment 855526 [details]
File: limits

Comment 8 Ramón Mayo 2014-01-25 22:08:17 UTC
Created attachment 855527 [details]
File: maps

Comment 9 Ramón Mayo 2014-01-25 22:08:19 UTC
Created attachment 855528 [details]
File: open_fds

Comment 10 Ramón Mayo 2014-01-25 22:08:22 UTC
Created attachment 855529 [details]
File: proc_pid_status

Comment 11 Ramón Mayo 2014-01-25 22:08:24 UTC
Created attachment 855530 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 10:40:52 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 14:46:01 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.